<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> How to install the HEPiX package in enforced mode</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" How to install the HEPiX package in enforced mode">
<meta name="keywords" value="sysadmin-guide">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html128 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://wwwcn.cern.ch/icons/next_motif.gif"></A>   <A NAME=tex2html126 HREF="node4.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://wwwcn.cern.ch/icons/up_motif.gif"></A>   <A NAME=tex2html122 HREF="node5.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://wwwcn.cern.ch/icons/previous_motif.gif"></A>   <A NAME=tex2html130 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://wwwcn.cern.ch/icons/contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html129 HREF="node7.html"> Installation in non-enforced </A>
<B>Up:</B> <A NAME=tex2html127 HREF="node4.html"> Installation in enforced </A>
<B> Previous:</B> <A NAME=tex2html123 HREF="node5.html"> Where to get </A>
<BR> <HR> <P>
<H3><A NAME=SECTION00031200000000000000> How to install the HEPiX package in enforced mode</A></H3>
<P>
<A NAME=howinstall>&#160;</A>
Once you get the package uncompressed or you checked you could 
access it through the <code>/afs/cern.ch</code> cell, you can install the
package on your system. <BR> 
<BR> 
You can achieve it using <b> make.pl</b> command. For a formal descrition of this
command consult Annex <A HREF="node18.html#annex">A</A>.<BR> 
<BR> 
<code>su</code> to <code>root</code>, go under <code>hepix-3.0.2-rs_aix32/</code>
directory and then you have different possibilities which are listed below.
The default is to install the HEPiX shells login scripts in enforced mode
and locally on the machine. So the collections <i> etc</i>, <i> hepix</i>, 
<i> bin</i>, <i> man1</i> should be installed locally on the machine 
(refer to table <A HREF="node6.html#collections">1</A>).<BR> 
<BR> 
   - get the help:<BR> 
<code>     &gt; ./make.pl -h</code><BR> 
<BR> 
   - use the fake mode to check what the default would do:<BR> 
<code>     &gt; ./make.pl -n</code><BR> 
<BR> 
   - install the recommended default:<BR> 
<code>     &gt; ./make.pl </code><BR> 
<BR> 
   - install the recommended default in verbose mode:<BR> 
<code>     &gt; ./make.pl -v</code><BR> 
<BR> 
   - install some components, overwriting the previous version:<BR> 
<code>     &gt; ./make.pl -v -F 1 -C hepix:cern:etc:bin:man1:xdm</code><BR> 
<BR> 
   - install only the system part under <code>/etc</code> (this allows you not to
put the scripts locally under <code>/usr/local/lib/hepix</code> but to make
them accessible via NFS):<BR> 
<code>     &gt; ./make.pl -v -F 1 -C etc</code><BR> 
<BR> 
   - install the scripts in 'debug' mode:<BR> 
<code>     &gt; ./make.pl -d</code><BR> 
<BR> 
   - install the hepix and the xdm collections in enforced mode:<BR> 
<code>     &gt; ./make.pl -v -F 1 -C hepix:etc:xdm</code><BR> 
<BR> 
   - install the CERN customisation of the HEPiX scripts:<BR> 
<code>     &gt; ./make.pl -v -F 1 -C cern</code><BR> 
<BR> 
Table <A HREF="node6.html#collections">1</A> gives you all the collections and the 
flags which control their installation.<BR>
<P>
<P><A NAME=235>&#160;</A><A NAME=collections>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img2.gif">
<BR><STRONG>Table 1:</STRONG> The files and directories installed by <tt> make.pl</tt> vs specified 
collections <BR>
<P>
<P>
The procedure saves any vendor  shell configuration file under 
<code>/etc</code> under a name with 
extension <code>.std</code>. The <code>restore</code> (<code>-r</code> flag) 
part resets the vendor shell 
configuration files under <code>/etc</code>.<BR> 
<BR> 
The procedure <tt> make.pl</tt> has a force option <tt> -F nb</tt> a verbose option
<tt> -v</tt> and an option to install the <i> debug</i> mode <tt> -d</tt>.<BR> 
<BR> 
In addition an option <tt> -n</tt> will fake the installation.<BR> 
<BR> 
You must be aware that this command will not try to overwrite an existing
file from a previous version. Use the flag <tt> -F 1</tt> to do so. Using 
the flag <tt> -F 2</tt> will force the creation of the directories themselves
and might delete completely your old versions. Warning, if for example
you have a symbolic link 
<PRE>    /usr/local/lib/hepix --&gt; /afs/cern.ch/asis/@sys/usr.local/lib/hepix
</PRE>
then this link will be removed and a local directoy will be created if you
are using the <tt> -F 2</tt> flag. So be aware of what you want to do!
<P>
<BR> <HR><A NAME=tex2html128 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://wwwcn.cern.ch/icons/next_motif.gif"></A>   <A NAME=tex2html126 HREF="node4.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://wwwcn.cern.ch/icons/up_motif.gif"></A>   <A NAME=tex2html122 HREF="node5.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://wwwcn.cern.ch/icons/previous_motif.gif"></A>   <A NAME=tex2html130 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://wwwcn.cern.ch/icons/contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html129 HREF="node7.html"> Installation in non-enforced </A>
<B>Up:</B> <A NAME=tex2html127 HREF="node4.html"> Installation in enforced </A>
<B> Previous:</B> <A NAME=tex2html123 HREF="node5.html"> Where to get </A>
<BR> <HR> <P>
<BR> <HR>
<P><ADDRESS>
<I>Arnaud Taddei <BR>
Tue Dec 12 08:15:58 MET 1995</I>
</ADDRESS>
</BODY>
